> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Vault Quarantines

> Lists a vault's quarantines, active and released.

#### Authentication

✅ Organization User (`CustomerEmployee`)\
❌ Delegated User (`EndUser`)\
✅ Service Account

#### Required Permissions

`Vaults:Read`: Always required.


## OpenAPI

````yaml /openapi.yaml get /vaults/{vaultId}/quarantines
openapi: 3.1.0
info:
  version: 2.0.112
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /vaults/{vaultId}/quarantines:
    get:
      tags:
        - Vaults
      summary: List Vault Quarantines
      description: Lists a vault's quarantines, active and released.
      operationId: listVaultQuarantines
      parameters:
        - schema:
            type: string
            minLength: 1
            maxLength: 64
            pattern: ^vlt-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
            description: Vault id.
          required: true
          description: Vault id.
          name: vaultId
          in: path
        - schema:
            type: integer
            minimum: 1
            maximum: 500
            default: 50
            description: Maximum number of items to return.
          required: false
          description: Maximum number of items to return.
          name: limit
          in: query
        - schema:
            type: string
            minLength: 1
            description: >-
              Opaque token used to retrieve the next page. Returned as
              `nextPageToken` from the previous request.
          required: false
          description: >-
            Opaque token used to retrieve the next page. Returned as
            `nextPageToken` from the previous request.
          name: paginationToken
          in: query
        - schema:
            type: string
          required: false
          name: network
          in: query
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/VaultQuarantine'
                    description: Current page items.
                  nextPageToken:
                    type: string
                    description: >-
                      token to use as `paginationToken` to request the next
                      page.
                required:
                  - items
      security:
        - authenticationToken: []
components:
  schemas:
    VaultQuarantine:
      type: object
      properties:
        id:
          type: string
          minLength: 1
          maxLength: 64
          pattern: ^vlt-qua-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
          description: Vault quarantine id.
          example: vlt-qua-7ein9-uptvv-uuegt9p5n69ocs4q
        vaultId:
          type: string
        network:
          type: string
        transactionHash:
          type: string
          description: The transaction that deposited the quarantined funds.
        kytResult:
          oneOf:
            - type: object
              properties:
                provider:
                  type: string
                  enum:
                    - Chainalysis
                transferReference:
                  type: string
                providerUserId:
                  type: string
                  description: >-
                    Grouping key registered with the provider ("userId" in
                    Chainalysis terms).
                externalId:
                  type: string
                  description: Provider-side id of the registered transfer.
                alerts:
                  type: array
                  items:
                    type: object
                    properties:
                      level:
                        type: string
                        enum:
                          - Low
                          - Medium
                          - High
                          - Severe
                      categoryId:
                        type:
                          - number
                          - 'null'
                    required:
                      - level
                      - categoryId
                exposure:
                  type: object
                  properties:
                    direct:
                      type: object
                      properties:
                        categoryId:
                          type:
                            - number
                            - 'null'
                        name:
                          type:
                            - string
                            - 'null'
                      required:
                        - categoryId
                        - name
                  required:
                    - direct
                maxAlertLevel:
                  type:
                    - string
                    - 'null'
                  enum:
                    - Low
                    - Medium
                    - High
                    - Severe
              required:
                - provider
                - transferReference
                - providerUserId
                - externalId
                - alerts
                - exposure
                - maxAlertLevel
              title: Chainalysis KYT Result
            - type: object
              properties:
                provider:
                  type: string
                  enum:
                    - Elliptic
                transferReference:
                  type: string
                providerUserId:
                  type: string
                  description: >-
                    Grouping key registered with the provider ("userId" in
                    Chainalysis terms).
                externalId:
                  type: string
                  description: Provider-side id of the registered transfer.
                alerts:
                  type: array
                  items:
                    type: object
                    properties:
                      categoryId:
                        type:
                          - string
                          - 'null'
                    required:
                      - categoryId
                riskScore:
                  type:
                    - number
                    - 'null'
              required:
                - provider
                - transferReference
                - providerUserId
                - externalId
                - alerts
                - riskScore
              title: Elliptic KYT Result
          description: >-
            KYT screening result recorded for the quarantined deposit, when
            available. Policies of rule kind `ChainalysisQuarantineScreening`
            evaluate this stored result when the release is requested.
        dateReleased:
          type: string
          format: date-time
          description: >-
            Set when the quarantined funds have been released into the available
            balance.
        dateCreated:
          type: string
          format: date-time
      required:
        - id
        - vaultId
        - network
        - transactionHash
        - dateCreated
      additionalProperties: false
      description: >-
        Vault quarantine object: an incoming deposit held out of the available
        balance until released.
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)

````